VTK7.1+Cmake3.9.6+VS2015+Qt5.8

1. Cmake编译VTK,与Qt相关的全部勾选;

2. 为了区分Debug与Release的区别,在Cmake面板,Add Entry, CMAKE_DEBUG_POSTFIX-string-d  ;

3. CMAKE_INSTALL_PREFIX ,安装编译好的VTK文件路径;

4. CMAKE_PREFIX_PATH, Qt5.8 bin目录的上级;

6. PluginInstall.cmake(cmake面板第二行where to build the binaries所选路径下GUISupport文件夹查找)

中第五行SET(VTK_INSTALL_QT_PLUGIN_FILE "QVTKWidgetPlugin.dll")改为

IF(BUILD_TYPE MATCHES Debug)

SET(VTK_INSTALL_QT_PLUGIN_FILE "QVTKWidgetPlugind.dll")

ELSE()

SET(VTK_INSTALL_QT_PLUGIN_FILE "QVTKWidgetPlugin.dll")

ENDIF()

注意,全部都是英文的双引号!

7.管理员身份运行vtk.sln 

6和7很重要,要不然可能会出现error MSB3073。

8. PCL1.8 VS VTK7.0 

   7.1和8.1版本的VTK都不行,一直在QVTKWidget.cxx中出现0xc0000005中断···这个真的是够坑,折腾了我半个月。

阅读更多
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

不良信息举报

VTK7.1+Cmake3.9.6+VS2015+Qt5.8

最多只允许输入30个字

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭